#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    double p,q,r;
    long long broj=0,L,R;
    cin>>p>>q>>r>>L>>R;
    for (int i=L; i<=R;i++)
    {
        if ((ceil(i/p)+ceil(i/q)+ceil(i/r))<=i)
            broj=broj+1;
    }
    cout<<broj;
    return 0;
}